<?php

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    
    $opt_name=ZAPTO_THEME_OPTION_NAME;
    
    
    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        'opt_name' => $opt_name,
        'use_cdn' => TRUE,
        'display_name' => 'Zapto Theme Options',
        'display_version' => '',
        'page_slug' => 'zapto_options',
        'page_title' => 'Zapto Options',
        'update_notice' => TRUE,
        'intro_text' => '',
        'allow_sub_menu' => TRUE,
        'page_type' => 'submenu',
        'admin_bar' => TRUE,
        'menu_type' => 'menu',
        'menu_title' => 'Zapto Options',
        'page_parent_post_type' => '',
        'customizer' => TRUE,
        'default_mark' => '',
        'google_api_key' => '',
        'class' => '',
        'hints' => array(
            'icon' => 'el el-question-sign',
            'icon_position' => 'left',
            'icon_size' => 'normal',
            'tip_style' => array(
                'color' => 'light',
                'rounded' => '1',
            ),
            'tip_position' => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'disable_tracking' => TRUE,
        'output' => TRUE,
        'dev_mode' => FALSE, 
        'output_tag' => TRUE,
        'settings_api' => TRUE,
        'cdn_check_time' => '1440',
        'compiler' => TRUE,
        'page_parent' => 'themes.php',
        'page_permissions' => 'manage_options',
        'save_defaults' => TRUE,
        'show_import_export' => TRUE,
        'database' => 'options',
        'transient_time' => '3600',
        'network_sites' => TRUE,
    );

   
    Redux::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */



    /*
     *
     * ---> START SECTIONS
     *
     */
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Logo Settings', 'zapto' ),
        'id'    => 'logo-settings',
        'desc'  => esc_html__( 'Please Configure Your Logo Settings.', 'zapto'),
        'icon'  => 'el el-cog-alt',
        'fields' => array(
            array(
                'id'       => 'header-logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Upload Header Logo', 'zapto' ),
                'desc'     => esc_html__( 'Images in jpg, png and gif format are allowed.', 'zapto' ),
            ),
            array(
                'id'  => 'mobile-logo',
                'type' => 'background',
                'transparent'    => false,
                'background-color' => false,
                'background-position' => false,
                'background-size'=> false,
                'background-repeat'=> false,
                'background-attachment'=> false,
                'preview' => false,
                'output'  => array('.mean-container .mean-bar::after'),
                'title' => esc_html__('Upload Mobile Logo', 'zapto'),
                'description' => esc_html__('Images in jpg, png and gif format are allowed.','zapto'),
            ),
            array(
                'id'       => 'enable_header_text_logo',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Header Text Logo', 'zapto' ),
                'desc' => esc_html__( 'Enable/Disable Header Text Logo', 'zapto' ),
                'default'  => true
            ),
             array(
                'id'       => 'header_logo_text',
                'type'     => 'text',
                'title'    => esc_html__( 'Add Logo Text', 'zapto' ),
                'desc' => esc_html__( 'Please enter logo text', 'zapto' ),
                'default' =>esc_html__( 'ZAPTO','zapto'),
                'required' => array( 'enable_header_text_logo', '=', true )
            ),
            array(
                'id'       => 'header_logo_subtext',
                'type'     => 'text',
                'title'    => esc_html__( 'Add Logo Subtext', 'zapto' ),
                'desc' => esc_html__( 'Please enter logo subtext', 'zapto' ),
                'default' =>esc_html__( 'DESIGN','zapto'),
                'required' => array( 'enable_header_text_logo', '=', true )
            ),
            array(
                'id'       => 'favicon-img',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Upload Favicon', 'zapto' ),
                'desc'     => esc_html__( 'Images in jpg, png and gif format are allowed.', 'zapto' ),
            ),
        )
    ) );
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Header Settings', 'zapto' ),
        'id'    => 'header-settings',
        'desc'  => esc_html__( 'Please Configure Your Header Settings.', 'zapto'),
        'icon'  => 'el el-file',
        'fields' => array(
            array(
                'id'       => 'header_style',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Header Style', 'zapto' ),
                'desc'     => esc_html__( 'Please select header style for your website.', 'zapto' ),
                'options'  => array(
                    'hstyle_1' => esc_html__('Header Style 1', 'zapto' ),
                    'hstyle_2' => esc_html__('Header Style 2', 'zapto' ),
                    'hstyle_3' => esc_html__('Header Style 3', 'zapto' ),
                    'hstyle_4' => esc_html__('Header Style 4', 'zapto' )
                ),
                'default'  => 'hstyle_1'
            ),
            array(
                'id'       => 'header_style_apply',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Apply Header Style On All Pages', 'zapto' ),
                'desc'     => esc_html__( 'Enable will apply same header on all pages. If you disable this option then page header style will be applied.', 'zapto' ),
                'options'  => array(
                    'enable' =>  esc_html__('Enable', 'zapto' ),
                    'disable' => esc_html__('Disable', 'zapto' )
                ),
                'default'  => 'disable'
            ),
            array(
                'id'       => 'header-background',
                'type'     => 'background',
                'transparent'    => false,
                'background-color' => false,
                'output'    => array('.inner-page-header'),
                'title'    => esc_html__('Upload Page Header Background', 'zapto'),
                'description' => esc_html__('Images in jpg, png and gif format are allowed.','zapto'),
            ),
        )
    ));
     Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Social Settings', 'zapto' ),
        'id'         => 'social-settings',
        'desc'       => esc_html__( 'Add Social Links For Zapto About Widget.', 'zapto' ),
        'icon'  =>'el el-share-alt',
        'fields'     => array(
           array(
                'id'       => 'facebook_social_link',
                'type'     => 'text',
                'title'    => esc_html__( 'Add Facebook Link', 'zapto' ),
                'default'  => 'http://www.facebook.com',
                'desc' => esc_html__( 'Please enter facebook social media link.', 'zapto' ),
            ),
             array(
                'id'       => 'twitter_social_link',
                'type'     => 'text',
                'default'  => 'http://www.twitter.com',
                'title'    => esc_html__( 'Add Twitter Link', 'zapto' ),
                'desc' => esc_html__( 'Please enter twitter social media link.', 'zapto' ),
            ),
             array(
                'id'       => 'instagram_social_link',
                'type'     => 'text',
                'default'  => 'http://www.instagram.com',
                'title'    => esc_html__( 'Add Instagram Link', 'zapto' ),
                'desc' => esc_html__( 'Please enter instagram social media link.', 'zapto' ),
            ),
            array(
                'id'       => 'pinterest_social_link',
                'type'     => 'text',
                'default'  => 'http://www.pinterest.com',
                'title'    => esc_html__( 'Add Pinterest Link', 'zapto' ),
                'desc' => esc_html__( 'Please enter pinterest social media link.', 'zapto' ),
            ),
        ),
    ) );
    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Footer Settings', 'zapto' ),
        'id'     => 'footer-settings',
        'desc'   => esc_html__( 'Please Configure Your Footer Settings.', 'zapto' ),
        'icon'   => 'el el-file-edit',
        'fields' => array(
            array(
                'id'       => 'footer-background',
                'type'     => 'background',
                'transparent'    => false,
                'background-color' => false,
                'output'    => array('.footer-area'),
                'title'    => esc_html__('Upload Footer Background', 'zapto'),
                'description' => esc_html__('Images in jpg, png and gif format are allowed.','zapto'),
            ),
            array(
                'id'       => 'widget_layout',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Footer Widget Layout', 'zapto' ),
                'desc'     => esc_html__( 'Please select footer 3 column or 4 column widget layout for footer.', 'zapto' ),
                'options'  => array(
                    '3-col' => esc_html__('3 Column', 'zapto'),
                    '4-col' => esc_html__('4 Column', 'zapto')
                ),
                'default'  => '3-col'
            ),
            array(
                'id'       => 'footer-logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Upload Footer Logo', 'zapto' ),
                'desc'     => esc_html__( 'Images in jpg, png and gif format are allowed.', 'zapto' ),
            ),
            array(
                'id'       => 'enable_footer_logo',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Footer Text Logo', 'zapto' ),
                'desc' => esc_html__( 'Enable/Disable Footer Text Logo', 'zapto' ),
                'default'  => true
            ),
            array(
                'id'       => 'logo_text',
                'type'     => 'text',
                'title'    => esc_html__( 'Add Logo Text', 'zapto' ),
                'desc' => esc_html__( 'Please enter logo text', 'zapto' ),
                'default' =>esc_html__( 'ZAPTO','zapto'),
                'required' => array( 'enable_footer_logo', '=', true )
            ),
            array(
                'id'       => 'logo_subtext',
                'type'     => 'text',
                'title'    => esc_html__( 'Add Logo Subtext', 'zapto' ),
                'desc' => esc_html__( 'Please enter logo subtext', 'zapto' ),
                'default' =>esc_html__( 'DESIGN','zapto'),
                'required' => array( 'enable_footer_logo', '=', true )
            ),
            array(
                'id'       => 'copyright_text',
                'type'     => 'textarea',
                'title'    => esc_html__( 'Footer Copyright', 'zapto' ),
                'desc'     => esc_html__( 'Some HTML tags such as href, target, br and strong are allowed.', 'zapto' ),
                'default'  => esc_html__( '2017 Zapto Design Designed by Theme Location', 'zapto' ),
                'allowed_html' => array(
                    'a' => array(
                        'href' => array(),
                        'target' => array()
                    ),
                    'br' => array(),
                    'strong' => array()
                ),
            ),
        )
    ) );
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Layout Settings', 'zapto' ),
        'id'    => 'layout-settings',
        'desc'  => esc_html__( 'Please Configure Your Layout Settings.', 'zapto'),
        'icon'  => 'el el-screen',
        'fields' => array(
            array(
                'id'       => 'add_new_sidebar',
                'type'     => 'multi_text',
                'title'    => esc_html__( 'Add Unlimited Sidebars', 'zapto' ),
                'desc'     => esc_html__( 'Enter sidebar name. Sidebar will be visible in Widgets section.', 'zapto' )
            ),
             array(
                'id'       => 'default-sidebar',
                'type'     => 'select',
                'title'    => esc_html__( 'Select Sidebar For Default Templates', 'zapto' ),
                'desc'     => esc_html__( 'Sidebar will be applied on Search, Archive, Author,Category and Index pages.', 'zapto' ),
                'options'  => array(
                    'no-sidebar'    => 'No Sidebar',
                    'left-sidebar'  => 'Left Sidebar',
                    'right-sidebar' => 'Right Sidebar',
                ),
                'default'  => 'no-sidebar',
                'select2'  => array( 'allowClear' => false )
            ),
            array(
                'id'       => 'select-default-sidebar',
                'type'     => 'select',
                'title'    => 'Select Sidebar',
                'data'     => 'sidebars',
                'default'  => '',
                'required' => array( 'default-sidebar', '=',array('left-sidebar','right-sidebar'))
            ),
            array(
                'id'       => 'enable_default_excerpt',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable/Disable Default Excerpt', 'zapto' ),
                'desc' => esc_html__( 'Enable/Disable Default Excerpt For Default Pages.The default excerpt will be applied on the Archive, Search, and Index pages.', 'zapto' ),
                'default'  => false
            ),
            array(
                'id'       => 'default_excerpt',
                'type'     => 'text',
                'title'    => esc_html__( 'Add Default Excerpt', 'zapto' ),
                'desc' => esc_html__( 'Please enter default excerpt', 'zapto' ),
                'default' => 120,
                'required' => array( 'enable_default_excerpt', '=', true )
            ),
          
        ),
    
    ));
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Single Post', 'zapto' ),
        'id'    => 'single-settings',
        'desc'  => esc_html__( 'Please Configure Your Single Post Settings.', 'zapto'),
        'icon'  => 'el el-edit',
        'subsection' => true,
        'fields' => array(
            
            array(
                'id'       => 'show_postmeta',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable/Disable Single Post Metadata', 'zapto' ),
                'subtitle' => esc_html__( 'Please Enable/Disable Single Post Metadata', 'zapto' ),
                'options' => array('on', 'off'),
                'default'  => true,
            ),
            array(
                'id'       => 'show_single_link',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable/Disable Single Post Link', 'zapto' ),
                'subtitle' => esc_html__( 'Please Enable/Disable Single Post Link', 'zapto' ),
               'options' => array('on', 'off'),
                'default'  => true,
            ),
          
        ),  
    
    )); 
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Custom Code', 'zapto' ),
        'id'    => 'custom-code',
        'desc'  => esc_html__( 'Place Custom Javascript Code Here.', 'zapto'),
        'icon'  => 'el el-pencil-alt',
        'fields' => array(
            
            array(
                'id'       => 'js-editor',
                'type'     => 'ace_editor',
                'title'    => esc_html__( 'Add Custom JS Code', 'zapto' ),
                'subtitle' => esc_html__( 'Paste your JS code here.', 'zapto' ),
                'mode'     => 'javascript',
                'theme'    => 'monokai',
            ),
          
        ),  
    
    ));
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Typography', 'zapto' ),
        'id'    => 'typography',
        'desc'  => esc_html__( 'Please Configure Typography Settings.', 'zapto'),
        'icon'  => 'el el-font',
        'fields' => array(
            
            array(
                'id'       => 'heading_font',
                'type'     => 'typography',
                'title'    => __( 'Select Headings Font Family', 'zapto' ),
                'subtitle' => __( 'Please Select Headings Font Family.', 'zapto' ),
                'google'   => true,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => false,
                'subsets' => false,
                'output' => array('.wrapper h1','.wrapper h2','.wrapper h3','.wrapper h4','.wrapper h5','.wrapper h6'),
                'default'  => array(
                    'font-family' => 'Lato',  
                ),
            ),
            array(
                'id'       => 'menu_font',
                'type'     => 'typography',
                'title'    => __( 'Select Menu Font Family', 'zapto' ),
                'subtitle' => __( 'Please Select Menu Font Family.', 'zapto' ),
                'google'   => true,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => false,
                'subsets' => false,
                'output' => array(
                            '.header-area .main-menu ul li a',
                            '.header-area .main-menu ul li ul li a',
                            '.slide-menu-area ul li a','.slide-menu-area ul li ul li a'),
                'default'  => array(
                    'font-family' => 'Open Sans',
                ),
            ),
            array(
                'id'       => 'body_font',
                'type'     => 'typography',
                'title'    => __( 'Select Body Font Family', 'zapto' ),
                'subtitle' => __( 'Please Select Body Font Family.', 'zapto' ),
                'google'   => true,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => false,
                'subsets' => false,
                'output' => array('body p','.wrapper p'),
                'default'  => array(
                    'font-family' => 'Open Sans',
                ),
            ),
          
        ),  
    
    ));
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Font Size', 'zapto' ),
        'id'    => 'font-settings',
        'desc'  => esc_html__( 'Please Configure Font Size Settings.', 'zapto'),
        'icon'  => 'el el-edit',
        'subsection' => true,
        'fields' => array(
        
            array(
                'id'   => 'body_size',
                'type'  => 'typography',
                'title'  => __( 'Configure Body Font Size', 'zapto' ),
                'google'  => false,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => true,
                'subsets' => false,
                'color' => false,
                'font-family' => false,
                'preview' =>array( 'always_display'=> false ),
                'output' => array('body'),
                'default'  => array(
                    'font-size' => '14px',  
                ), 
            ),
            array(
                'id'       => 'h1_size',
                'type'     => 'typography',
                'title'    => __( 'Configure H1 Font Size', 'zapto' ),
                'google'   => false,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => true,
                'subsets' => false,
                'color' => false,
                'font-family' => false,
                'preview' =>array( 'always_display'=> false ),
                'output' => array('.wrapper h1'),
            ),
            array(
                'id'       => 'h2_size',
                'type'     => 'typography',
                'title'    => __( 'Configure H2 Font Size', 'zapto' ),
                'google'   => false,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => true,
                'subsets' => false,
                'color' => false,
                'font-family' => false,
                'preview' =>array( 'always_display'=> false ),
                'output' => array('.wrapper h2'),
            ),
            array(
                'id'       => 'h3_size',
                'type'     => 'typography',
                'title'    => __( 'Configure H3 Font Size', 'zapto' ),
                'google'   => false,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => true,
                'subsets' => false,
                'color' => false,
                'font-family' => false,
                'preview' =>array( 'always_display'=> false ),
                'output' => array('.wrapper h3'),
            ),
            array(
                'id'       => 'h4_size',
                'type'     => 'typography',
                'title'    => __( 'Configure H4 Font Size', 'zapto' ),
                'google'   => false,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => true,
                'subsets' => false,
                'color' => false,
                'font-family' => false,
                'output' => array('.wrapper h4'),
                'preview' =>array( 'always_display'=> false ),
            ),
            array(
                'id'       => 'h5_size',
                'type'     => 'typography',
                'title'    => __( 'Configure H5 Font Size', 'zapto' ),
                'google'   => false,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => true,
                'subsets' => false,
                'color' => false,
                'font-family' => false,
                'output' => array('.wrapper h5'),
                'preview' =>array( 'always_display'=> false ),
            ),
            array(
                'id'       => 'h6_size',
                'type'     => 'typography',
                'title'    => __( 'Configure H6 Font Size', 'zapto' ),
                'google'   => false,
                'font-style' => false,
                'font-weight' => false,
                'line-height' => false,
                'text-align' => false,
                'font-size' => true,
                'subsets' => false,
                'color' => false,
                'font-family' => false,
                'output' => array('.wrapper h6'),
                'preview' => array( 'always_display'=> false ),
          
            ),
        ),  
    
    )); 