<?php 
   /*   Functions File
	*	---------------------------------------------------------------------
	* 	@version	1.0
	*   @Package    Zapto
	*   @author     Theme Location
	*	---------------------------------------------------------------------
	*	This file contains all important functions and features of the theme.
	*	---------------------------------------------------------------------
	*/	
	
	/* Define Theme Constants */
	
	define('ZAPTO_THEME_OPTION_NAME','zapto_opt');
	define("ZAPTO_PATH",get_template_directory_uri());
	define("ZAPTO_IMAGES", ZAPTO_PATH. '/images');
	define("ZAPTO_METABOX_PREFIX",'zapto_meta_');
	
	/************** Frequently Used Image Sizes*************/
	
	add_image_size('zapto-blog-post1',370,220,true);
	add_image_size('zapto-blog-post2',770,330,true);
	add_image_size('zapto-team',270,360,true);
	add_image_size('zapto-team-detail',570,550,true);
	add_image_size('zapto-testimonial',120,120,true);
	add_image_size('zapto-service-slider',570,750,true);
	add_image_size('zapto-portfolio3',370,340,true);
	add_image_size('zapto-portfolio',480,380,true);
	add_image_size('zapto-portfolio2',570,330,true);
	add_image_size('zapto-services',850,650,true);
	
	
	/************** Inclusion Of Necessary Files *************/
	
	require_once(get_parent_theme_file_path('inc/frontend_scripts.php')); //File For Frontend Scripts And Styles
	require_once(get_parent_theme_file_path('framework/redux-framework/zapto-config.php')); //File For Including Theme Options
	require_once(get_parent_theme_file_path('inc/theme-plugins.php')); //File For Including Essential Plugins
	require_once(get_parent_theme_file_path('inc/comment-list.php')); //File For Displaying Comments
	require_once(get_parent_theme_file_path('inc/footers.php')); //File For Including Footer Functions
	require_once(get_parent_theme_file_path('inc/headers.php')); //File For Including Header Functions
	require_once(get_parent_theme_file_path('inc/util-functions.php')); //File For Including Utility Functions
	require_once(get_parent_theme_file_path('inc/pagination.php')); //File For Including Pagination
	require_once(get_parent_theme_file_path('inc/metaboxes.php')); //File For Registering Metaboxes
	require_once(get_parent_theme_file_path('inc/featured-content.php')); //File For Including Featured Content
	
	
	/************** Inclusion Of Theme Widgets *************/
	
	require_once(get_parent_theme_file_path('inc/widgets/about_widget.php'));
	require_once(get_parent_theme_file_path('inc/widgets/contact_info_widget.php'));
	require_once(get_parent_theme_file_path('inc/widgets/post_list_thumb_widget.php'));
	require_once(get_parent_theme_file_path('inc/widgets/post_list_widget.php'));
	require_once(get_parent_theme_file_path('inc/widgets/newsletter_widget.php'));
	require_once(get_parent_theme_file_path('inc/widgets/links_widget.php'));
	
	
	function zapto_theme_setup(){
		
		/* zapto Customize Class Hooks */
		add_action('customize_register' , array( 'zapto_customize','zapto_register'));
		add_action('customize_preview_init' , array( 'zapto_customize','zapto_live_preview'));
		
		/* Add Theme Support For Custom Featured Content */
		
		if ( ! isset( $content_width ) ) $content_width = 900;
		
		add_theme_support( 'featured-content', array(
		'featured_content_filter' => 'zapto_get_featured_posts',
		'max_posts' => 6,
		));
		add_theme_support( 'post-thumbnails' );
		add_editor_style('assets/css/editor-style.css');
	    add_theme_support( "title-tag" );
		add_theme_support('menus');
		add_theme_support( 'automatic-feed-links' );
		if ( function_exists( 'wp_get_theme' ) && defined('ZAPTO_TOOLKIT')){
			add_theme_support( 'custom-background',array(
				'wp-head-callback' => 'zapto_custom_background_cb',
			));
		}
		if ( function_exists( 'wp_get_theme' ) && defined('ZAPTO_TOOLKIT') ){
			add_theme_support( "custom-header", array(
				'flex-width' => true,
				'flex-height' => true,
				'wp-head-callback' => 'zapto_wphead_cb',
			));
		}
		/* enable navigation menu */
		register_nav_menus(array('header-menu'=>'Main Menu', 'mobile-menu'=>'Mobile Menu','side-menu'=>'Side Menu'));
		
		
		/*Function For Adding Custom Body Class*/	
		add_filter('body_class','zapto_custom_body_class');	
		
		
		/*Function For Excluding Pages From WP Search*/	
		add_filter('pre_get_posts','zapto_cp_SearchFilter');
		
		/*Filter For Changing Comment Form Fields Position*/	
		add_filter( 'comment_form_fields', 'zapto_position_comment_field' );
		
		/*Load Theme Text Domain*/	
		load_theme_textdomain( 'zapto', get_template_directory() . '/languages' );
		
	}
	
	add_action( 'after_setup_theme', 'zapto_theme_setup' );
	
	
	/*
	 * Contains methods for customizing the theme customization screen.
	 * @link http://codex.wordpress.org/Theme_Customization_API
	 * Zapto Theme
	 */
	
	class zapto_customize {
	   /*
		* This hooks into 'customize_register' (available as of WP 3.4) and allows
		* you to add new sections and controls to the Theme Customize screen.
		* 
		* Note: To enable instant preview, we have to actually write a bit of custom
		* javascript. See live_preview() for more.
		*  
		* @see add_action('customize_register',$func)
		* @param \WP_Customize_Manager $wp_customize
		* @link http://ottopress.com/2012/how-to-leverage-the-theme-customizer-in-your-own-themes/
		*/
	   
		public static function zapto_register( $wp_customize ) {
			//1. Define a new section (if desired) to the Theme Customizer
			$wp_customize->add_section( 'zapto_options', 
			 array(
				'title' => esc_html__( 'Zapto Options', 'zapto' ), //Visible title of section
				'priority' => 35, //Determines what order this appears in
				'capability' => 'edit_theme_options', //Capability needed to tweak
				'description' => esc_html__('Allows you to customize settings.', 'zapto'), //Descriptive tooltip
			 ) 
			);
		  
			// We can also change built-in settings by modifying properties. For instance, let's make some stuff use live preview JS...
			$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
			$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
			$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
		}

	      
	   /*
		* This outputs the javascript needed to automate the live settings preview.
		* Also keep in mind that this function isn't necessary unless your settings 
		* are using 'transport'=>'postMessage' instead of the default 'transport'
		* => 'refresh'
		* Used by hook: 'customize_preview_init'
		* @see add_action('customize_preview_init',$func)
		*
		*/
	   
		public static function zapto_live_preview() {
			
			wp_enqueue_script( 
			   'zapto-customizer', // Give the script a unique ID
			   get_template_directory_uri() . '/assets/js/theme-customizer.js', // Define the path to the JS file
			   array(  'jquery', 'customize-preview' ), // Define dependencies
			   '', // Define a version (optional) 
			   true // Specify whether to put in footer (leave this true)
			);
			
		}

	}
	
	
	//Featured Post function
	function zapto_get_featured_posts() {
		return apply_filters( 'zapto_get_featured_posts', array() );
	}
	
	//Featured Post Condition
	function zapto_has_featured_posts() {
		return ! is_paged() && (bool) zapto_get_featured_posts();
	}
	
					 
	//Exclude Pages From WP Search
	function zapto_cp_SearchFilter($query) {
		if ($query->is_search) {
			$query->set('post_type', 'post');
		}
			return $query;
	}
	
	function zapto_custom_body_class($classes) {	
	
		if(is_page()|| is_search()){
			$classes[] = 'blog';   
		}
		
		return $classes;	
	}	
	/*Filter For Changing Comment Form Fields Position*/	
	function zapto_position_comment_field( $fields ) {
		
		$comment_field = $fields['comment'];
		unset( $fields['comment'] );
		$fields['comment'] = $comment_field;
		return $fields;
	}	