<?php
	add_filter( 'rwmb_meta_boxes', 'zapto_register_meta_boxes' );
	function zapto_register_meta_boxes( $meta_boxes ) {
    
		$meta_boxes[] = array(
			'id'         => 'service_metabox',
			'title'      => esc_html__( 'Post Options', 'zapto' ),
			'post_types' => 'services',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Add Service Icon', 'zapto' ),
					'desc'  => esc_html__( 'Add Fontawesome Icon Class For Example fa fa-user', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'service_icon',
					'type'  => 'text',
					'std'   => 'fa fa-user',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Link Title', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Link Title', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'service_link_title',
					'type'  => 'text',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Linking URL', 'zapto' ),
					'desc'  => esc_html__( 'Add Service Linking URL', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'service_url',
					'type'  => 'url',
					'std'   => 'http://www.google.com',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Service Skill Value', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Service Skill Value', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'service_skill_val',
					'type'  => 'text',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Show Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'show_service_sidebar',
					'type'  => 'image_select',
					'class' => 'select_sidebar',
					'options'  =>array(
						'right-sidebar'=>ZAPTO_IMAGES.'/right-sidebar.png',
						'left-sidebar'=>ZAPTO_IMAGES.'/left-sidebar.png',
						'no-sidebar'=>ZAPTO_IMAGES.'/no-sidebar.png',
					),
					
				),
				array(
					'name'  => esc_html__( 'Select Page Sidebar', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Page Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'service_sidebar',
					'type'  => 'select',
					'class' => 'sidebar_metabox',
					'options'  =>zapto_sidebar_options(),
					
				),
			)
		);
		$meta_boxes[] = array(
			'id'         => 'team_metabox',
			'title'      => esc_html__( 'Post Options', 'zapto' ),
			'post_types' => 'team',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Add Designation', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Designation', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'team_designation',
					'type'  => 'text',
					'class' => 'metabox',
				),
		
			)
		);
		$meta_boxes[] = array(
			'id'         => 'price_table_metabox',
			'title'      => esc_html__( 'Post Options', 'zapto' ),
			'post_types' => 'pricetable',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Add Price Table Features', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Price Table Features', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'price_table_list',
					'type'  => 'text',
					'class' => 'metabox',
					'clone'  => true,
				),
				array(
					'name'  => esc_html__( 'Add Price Table Price', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Price Table Price', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'price_table_price',
					'type'  => 'text',
					'std'   => '',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Price Table Button Text', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Price Table Button Text', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'price_table_btn',
					'type'  => 'text',
					'std'   => '',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Price Table Button Link', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Price Table Button Link', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'price_table_btn_link',
					'type'  => 'url',
					'std'   => '',
					'class' => 'metabox',
				),
		
			)
		);
		$meta_boxes[] = array(
			'id'         => 'testimonial_metabox',
			'title'      => esc_html__( 'Post Options', 'zapto' ),
			'post_types' => 'testimonial',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Add Designation', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Designation', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'designation',
					'type'  => 'text',
					'class' => 'metabox',
				),
		
			)
		);
		$meta_boxes[] = array(
			'id'         => 'page_metabox',
			'title'      => esc_html__( 'Page Options', 'zapto' ),
			'post_types' => 'page',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Add Page Title', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Page Title', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'page_title',
					'type'  => 'text',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Enable/Disable Full Width Layout', 'zapto' ),
					'desc'  => esc_html__( 'Please Enable/Disable Full Width Layout', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'page_layout',
					'type'  => 'radio',
					'class' => 'metabox',
					'options'  => array(
						'yes' => esc_html__('Yes', 'zapto' ),
						'no' => esc_html__('No', 'zapto' ),
					),
					
				),
				array(
					'name'  => esc_html__( 'Show Sidebar', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'show_sidebar',
					'type'  => 'select',
					'class' => 'sidebars',
					'options'  =>array(
						'right-sidebar'=>esc_html__('Right Sidebar', 'zapto' ),
						'left-sidebar'=>esc_html__('Left Sidebar', 'zapto' ),
						'no-sidebar'=>esc_html__('No Sidebar', 'zapto' ),
					),
					
				),
				array(
					'name'  => esc_html__( 'Select Page Sidebar', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Page Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'page_sidebar',
					'type'  => 'select',
					'class' => 'sidebar_metabox',
					'options'  =>zapto_sidebar_options(),
					
				),
				array(
					'name'  => esc_html__( 'Enable Slider', 'zapto' ),
					'desc'  => esc_html__( 'Please Enable Slider', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'enable_slider',
					'type'  => 'select',
					'class' => 'enable_slider',
					'options'  => array(
						'yes' => esc_html__('Yes', 'zapto' ),
						'no' => esc_html__('No', 'zapto' ),
					),
				),
				array(
					'name'  => esc_html__( 'Select Slider', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Page Slider', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'page_slider',
					'type'  => 'select',
					'class' => 'page_slider',
					'options'  =>zapto_posts_title('slider'),
					
				),
				array(
					'name'  => esc_html__( 'Select Slider Style', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Slider Style', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'slider_style',
					'type'  => 'select',
					'class' => 'slider_style',
					'options'  => array(
						'style_1' => esc_html__('Style 1', 'zapto' ),
						'style_2' => esc_html__('Style 2', 'zapto' ),
						'style_3' => esc_html__('Style 3', 'zapto' ),
					),
				),
				array(
					'name'  => esc_html__( 'Select Page Header Style', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Page Header Style. To enable page header please disable the apply header on all pages from Theme Options.', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'page_header',
					'type'  => 'select',
					'class' => 'page_header',
					'options'  => array(
						'style_1' => esc_html__('Style 1', 'zapto' ),
						'style_2' => esc_html__('Style 2', 'zapto' ),
						'style_3' => esc_html__('Style 3', 'zapto' ),
						'style_4' => esc_html__('Style 4', 'zapto' ),
					),
				),
			)
		);
		$meta_boxes[] = array(
			'id'         => 'post_metabox',
			'title'      => esc_html__( 'Post Options', 'zapto' ),
			'post_types' => 'post',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Add Post Title', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Post Title', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'post_title',
					'type'  => 'text',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Show Sidebar', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'show_post_sidebar',
					'type'  => 'select',
					'class' => 'sidebars',
					'options'  =>array(
						'right-sidebar'=>esc_html__('Right Sidebar', 'zapto' ),
						'left-sidebar'=>esc_html__('Left Sidebar', 'zapto' ),
						'no-sidebar'=>esc_html__('No Sidebar', 'zapto' ),
					),
					
				),
				array(
					'name'  => esc_html__( 'Select Post Sidebar', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Post Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'post_sidebar',
					'type'  => 'select',
					'class' => 'sidebar_metabox',
					'options'  =>zapto_sidebar_options(),
					
				),
			)
		);
		$meta_boxes[] = array(
			'id'         => 'portfolio_metabox',
			'title'      => esc_html__( 'Post Options', 'zapto' ),
			'post_types' => 'portfolio',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Add Caption', 'zapto' ),
					'desc'  => esc_html__( 'Please Enter Caption', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'caption',
					'type'  => 'text',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Link Title', 'zapto' ),
					'desc'  => esc_html__( 'Please Add Link Title', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'portfolio_link_title',
					'type'  => 'text',
					'class' => 'metabox',
			
				),
				array(
					'name'  => esc_html__( 'Add Link URL', 'zapto' ),
					'desc'  => esc_html__( 'Please Add Link URL', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'portfolio_link_url',
					'type'  => 'url',
					'class' => 'metabox',
					
				),
				array(
					'name'  => esc_html__( 'Show Sidebar', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'show_portfolio_sidebar',
					'type'  => 'select',
					'class' => 'sidebars',
					'options'  =>array(
						'right-sidebar'=>esc_html__('Right Sidebar', 'zapto' ),
						'left-sidebar'=>esc_html__('Left Sidebar', 'zapto' ),
						'no-sidebar'=>esc_html__('No Sidebar', 'zapto' ),
					),
					
				),
				array(
					'name'  => esc_html__( 'Select Portfolio Sidebar', 'zapto' ),
					'desc'  => esc_html__( 'Please Select Portfolio Sidebar', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'portfolio_sidebar',
					'type'  => 'select',
					'class' => 'sidebar_metabox',
					'options'  =>zapto_sidebar_options(),
					
				),
			)
		);
		$meta_boxes[] = array(
			'id'         => 'slider_metabox',
			'title'      => esc_html__( 'Slider Options', 'zapto' ),
			'post_types' => 'slider',
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'name'  => esc_html__( 'Upload Slider Images', 'zapto' ),
					'desc'  => esc_html__( 'Please Upload Slider Images', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'slider_images',
					'type'  => 'image_advanced',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Link Title 1', 'zapto' ),
					'desc'  => esc_html__( 'Please Add Link Title 1', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'slide_link_text1',
					'type'  => 'text',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Link URL 1', 'zapto' ),
					'desc'  => esc_html__( 'Please Add Link URL 1', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'slide_link1',
					'type'  => 'text',
					'class' => 'metabox',
				),
				array(
					'name'  => esc_html__( 'Add Link Title 2', 'zapto' ),
					'desc'  => esc_html__( 'Please Add Link Title 2', 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'slide_link_text2',
					'type'  => 'text',
					'class' => 'metabox',
			
				),
				array(
					'name'  => esc_html__( 'Add Link URL 2', 'zapto' ),
					'desc'  => esc_html__( 'Please Add Link URL 2' , 'zapto' ),
					'id'    => ZAPTO_METABOX_PREFIX.'slide_link2',
					'type'  => 'url',
					'class' => 'metabox',
					
				),
			)
		);
		return $meta_boxes;
    
	}
?>