<?php

	
	if( !function_exists('zapto_pagination') ){
		function zapto_pagination(){
			
			$paged = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
						
			$pagenum_link = html_entity_decode( get_pagenum_link() );
			$query_args   = array();
			$url_parts    = explode( '?', $pagenum_link );

			if ( isset( $url_parts[1] ) ) {
				wp_parse_str( $url_parts[1], $query_args );
			}

			$pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
			$pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

			// Set up paginated links.
			$links = paginate_links( array(
				'base'     => $pagenum_link,
				'current'  => $paged,
				'mid_size' => 1,
				'add_args' => array_map( 'urlencode', $query_args ),
				'type' => 'list',
				'prev_text' => esc_html__('Prev','zapto'),
				'next_text' => esc_html__('Next','zapto')
			) );

			if ( $links ) :
				return $links;
			endif;
		}	
	}
?>