<?php
	
	/*
	 * This file is used for including theme utility functions.
	 */	
	
	
	function zapto_remove_default_links() { 
		if ( class_exists('ReduxFrameworkPlugin') ) {
			remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
		}
		if ( class_exists('ReduxFrameworkPlugin') ) {
			remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
		}
	}
	add_action('init', 'zapto_remove_default_links');
	
	function zapto_get_category( $category_name ){
		
		$category_list = array();
		$get_category = get_categories( array( 'taxonomy' => $category_name	));
		foreach( $get_category as $category ){
			$category_list[] = $category;
		}
			
		return $category_list;
	}
	function zapto_get_option( $option_name, $default = false ) {
		$options = isset($GLOBALS[ ZAPTO_THEME_OPTION_NAME ]) 
		? $GLOBALS[ ZAPTO_THEME_OPTION_NAME ] : false;
		if ( $options && is_string( $option_name ) ) {
			return isset( $options[ $option_name ] ) ? $options[ $option_name ] : $default;
		}
		return $default;
	}
	function zapto_register_sidebar(){
		
		$footer_widget_class='';

		$zapto_widget_layout=zapto_get_option('widget_layout');
		if( $zapto_widget_layout=="3-col" ){
			$footer_widget_class="col-lg-3 col-md-3 col-sm-3 col-xs-12";
		}else{
			$footer_widget_class="col-lg-4 col-md-4 col-sm-4 col-xs-12";
		}
		
		register_sidebar( array(
			'name' => esc_html__('Footer Sidebar','zapto'),
			'id' => 'footer-sidebar',
			'description' => esc_html__( 'Footer sidebar will display footer widgets.', 'zapto' ),
			'before_widget' => '<div class="'.$footer_widget_class.'"><div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h2>',
			'after_title'   => '</h2>',
		) );
		register_sidebar(array(
		'name' => esc_html__('Default Sidebar','zapto'),
		'id' => 'default-sidebar',
		'description' => esc_html__('Default Sidebar will display the default page widgets.', 'zapto' ),
		'before_widget' => '<div id="%1$s" class="single-sidebar padding-bottom sidebar_widget widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		
		));
		register_sidebar( array(
		'name' => esc_html__('Right Sidebar','zapto'),
		'id' => 'right-sidebar',
		'description' => esc_html__( 'Right Sidebar will display the widgets.', 'zapto' ),
		'before_widget' => '<div id="%1$s" class="single-sidebar padding-bottom sidebar_widget widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		
		));
		register_sidebar( array(
		'name' => esc_html__('Left Sidebar','zapto'),
		'id' => 'left-sidebar',
		'description' => esc_html__( 'Left Sidebar will display the widgets.', 'zapto' ),
		'before_widget' => '<div id="%1$s" class="single-sidebar padding-bottom sidebar_widget widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		
		));
		
		register_sidebar( array(
		'name' => esc_html__('Post Sidebar','zapto'),
		'id' => 'post-sidebar',
		'description' => esc_html__( 'Post Sidebar will display the widgets.', 'zapto' ),
		'before_widget' => '<div id="%1$s" class="single-sidebar padding-bottom sidebar_widget widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
		
		));
		
	}
	add_action( 'widgets_init', 'zapto_register_sidebar');
	
	function zapto_print_page_content(){
		
		while ( have_posts() ) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="page-entry-content">
				<?php
				the_content();
				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' .esc_html__( 'Pages:', 'zapto' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
				) );

				edit_post_link( esc_html__( 'Edit', 'zapto' ), '<span class="edit-link">', '</span>' );
				?>
			</div><!-- end of page entry-content -->
		</div>
		<?php
		// If comments are open or we have at least one comment,display comments
		if ( comments_open() || get_comments_number() ) {
			echo '<div class="page-comment-box">';
				comments_template();
			echo '</div>';
		}
		endwhile;
	}
	
	function zapto_remove_redux_menu(){
		remove_submenu_page('tools.php','redux-about');
	}
	add_action( 'admin_menu', 'zapto_remove_redux_menu',12 );
		
	function zapto_sidebar_options(){
		global $wp_registered_sidebars;
		$sidebar_options = array();
		foreach ( $wp_registered_sidebars as $sidebar ){
			if( $sidebar['id'] <> 'footer-sidebar' ){
				$sidebar_options[$sidebar['id']]=$sidebar['name'];
			}
		}
		return $sidebar_options;
	}
	function zapto_sidebar_func($zapto_sel_sidebar=''){
		$zapto_sidebar_class=array();
		if($zapto_sel_sidebar=="no-sidebar"){
			$zapto_sidebar_class[0]='col-md-12';
		}else{
			$zapto_sidebar_class[0]='col-md-9';
			$zapto_sidebar_class[1]='col-md-3';
		}
		return $zapto_sidebar_class;
	}
	function zapto_add_sidebar(){
		
		//default sidebar array
		$sidebar_attr = array(
			'name' =>  __( 'Sidebar', 'zapto' ),
			'description' => 'sidebar-1',
			'before_widget' => '<div class="widget sidebar_section %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>'
		);
		
		$zapto_sidebars=zapto_get_option('add_new_sidebar');
		if(!empty($zapto_sidebars)){
			foreach( $zapto_sidebars as $zapto_sidebar ){
				$sidebar_attr['name'] = $zapto_sidebar;
				$sidebar_slug = strtolower(str_replace(' ','-',$zapto_sidebar));
				$sidebar_attr['id'] = 'sidebar-' . $sidebar_slug ;
				$sidebar_attr['before_widget'] = '<div id="%1$s" class="single-sidebar padding-bottom sidebar_widget widget %2$s">';
				$sidebar_attr['after_widget'] = '</div>';
				$sidebar_attr['before_title'] = '<h3>';
				$sidebar_attr['after_title'] = '</h3>' ;
				$sidebar_attr['description'] = esc_html__('Please place widget here','zapto');
				register_sidebar($sidebar_attr);
			}
		}
	}
	add_action( 'widgets_init', 'zapto_add_sidebar');
	
	function zapto_tags_post_content($content) {
		$posttags = get_the_tags();
		if ($posttags) {
			$array = [];
			foreach($posttags as $tag) {
			  $array[] = '<a href="/tag/' . esc_attr($tag->slug) . '/">' . esc_attr($tag->name). '</a>';
			}
			$content .= esc_html__('Tags:','zapto') . implode(', ', $array) . '<br>';
		}
		return $content;
	}
	
	function zapto_posts_title( $post_type='' ){
		
		$posts_title = array();
		$posts = get_posts(array('post_type' => $post_type, 'numberposts'=>-1));
		foreach ($posts as $post){
			$posts_title[$post->ID] = $post->post_title;
		}
		return $posts_title;
	}
	function zapto_page_slider(){
		
	$slider_html='';
	$counter=0;
	$caption_counter=0;
	
	global $post;
	$slider_id=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'page_slider',true);
	$my_post = get_post($slider_id);
	$slider_images=get_post_meta($my_post->ID,'zapto_meta_slider_images',false);
	$slider_title=get_post_meta($my_post->ID,ZAPTO_METABOX_PREFIX.'slider_title',true);
	$slider_cap=get_post_meta($my_post->ID,ZAPTO_METABOX_PREFIX.'slider_caption',true);
	$btn_text1=get_post_meta($my_post->ID,ZAPTO_METABOX_PREFIX.'slide_link_text1',true);
	$btn_link1=get_post_meta($my_post->ID,ZAPTO_METABOX_PREFIX.'slide_link1',true);
	$btn_text2=get_post_meta($my_post->ID,ZAPTO_METABOX_PREFIX.'slide_link_text2',true);
	$btn_link2=get_post_meta($my_post->ID,ZAPTO_METABOX_PREFIX.'slide_link2',true);
	$slider_style=get_post_meta($post->ID,ZAPTO_METABOX_PREFIX.'slider_style',true);
	
	
	if( $slider_style == 'style_1' || $slider_style == 'style_2' || $slider_style == 'style_3' ){
		
		if( $slider_style == 'style_2 ' ){
			$slider_html.='
				<div class="home-four">';
		}else if( $slider_style == 'style_3' ){
		$slider_html.='
			<div class="home-five">';
		}
		$slider_html.='
        <div class="slider-area">
            <div class="bend niceties preview-2">
                <div id="ensign-nivoslider" class="slides"> ';
				if( !empty($slider_images) ){
					foreach( $slider_images as $slider_image ){
						$image=wp_get_attachment_image_src($slider_image,'full');
						$slider_html.='
						<img src="'.esc_url($image[0]).'" alt="" title="#slider-direction-'.$counter.'"  />';
						$counter++;
					}
				}
		$slider_html.='
                </div>';
				foreach( $slider_images as $slider_image ){
					
					$image = get_post($slider_image);
					$image_title = $image->post_title;
					$image_caption = $image->post_excerpt;
			
		$slider_html.='
                <div id="slider-direction-'.$caption_counter.'" class="t-cn slider-direction">
                    <div class="slider-content t-cn s-tb slider-1">
                        <div class="title-container s-tb-c title-compress">
                            <h2>'.esc_attr($image->post_title).'</h2>
                            <h1 class="title1">'.esc_attr($image->post_excerpt).'</h1>';
						if( $slider_style == 'style_3' ){
							$slider_html.='<p>'.esc_attr($image->post_content).'</p>';
						}
					if(!empty($btn_text1) && !empty($btn_link1) || !empty($btn_text2) && !empty($btn_link2) ){
					$slider_html.='
							<div class="button-area">
                                <ul>';
							if( !empty($btn_text1) && !empty($btn_link1) ){
                    $slider_html.=' <li class="buy-theme"><a href="'.esc_url($btn_link1).'"> 	'.esc_attr($btn_text1).'</a></li>';
							}
					if( !empty($btn_text2) && !empty($btn_link2) ){		
                    $slider_html.='<li><a href="'.esc_url($btn_link2).'">'.esc_attr($btn_text2).'</a></li>';
					}
                  $slider_html.='</ul>
							</div>';
							}
      $slider_html.='   </div>  
                    </div>
                </div> ';
				$caption_counter++;
				}
	$slider_html.='
            </div>
        </div>';
		if( $slider_style == 'style_2 ' ){
			$slider_html.='
				</div>';
		}else if( $slider_style == 'style_3' ){
			$slider_html.='
				</div>';
		}	
		
	}
		return $slider_html;
	
	}
	
	class zapto_walker_nav_menu extends Walker_Nav_Menu {

		public $break_point = null;
		public $displayed = 0; 

		function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {

		$zapto_show_hlogo=zapto_get_option('enable_header_text_logo');
		$zapto_logo_text=zapto_get_option('header_logo_text');
		$zapto_logo_subtext=zapto_get_option('header_logo_subtext');
		$zapto_img_logo=zapto_get_option('header-logo');
				
			if( !isset( $this->break_point ) ) {
				$menu_elements = wp_get_nav_menu_items( $args->menu );
				$top_level_elements = 0;

				foreach( $menu_elements as $el ) {
					if( $el->menu_item_parent === '0' ) {
						$top_level_elements++;
					}
				}
				$this->break_point = ceil( $top_level_elements / 2 );
			}   
	
			$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

			$class_names = $value = '';

			$classes = empty( $item->classes ) ? array() : (array) $item->classes;
			$classes[] = 'menu-item-' . $item->ID;

			$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
			$class_names = ' class="' . esc_attr( $class_names ) . '"';

			$id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
			$id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';
		
			if(  $this->break_point == $this->displayed ) {
				$output .= $indent . '</li>';
				if ( $item->menu_item_parent === '0' ){	
					if( $zapto_show_hlogo==true ){
					$output .= $indent . '
					<li>
						<div class="logo-area">
							<a href="'.esc_url(home_url('/')).'">
							<span>'.esc_attr($zapto_logo_text).'</span>'.
							esc_attr($zapto_logo_subtext).'</a>
						</div>
					</li>';
					}else if($zapto_show_hlogo==false && !empty($zapto_img_logo['url'])){
					$output .= $indent . '
						<li>
							<div class="logo-area">
								<a href="'.esc_url(home_url('/')).'">
								<img src="'.esc_url($zapto_img_logo['url']).'" />'.
								esc_attr($zapto_logo_subtext).'</a>
							</div>
						</li>';
					}else{
					$output .= $indent . '
						<li>
							<div class="logo-area">
								<a href="'.esc_url(home_url('/')).'">
								<img src="'.esc_attr(ZAPTO_IMAGES.'/logo.png').'"/></a>
							</div>
						</li>';
					} 
				}
			$output .= $indent . '<li' . $id . $value . $class_names .'>';
			} else {
				$output .= $indent . '<li' . $id . $value . $class_names . '>';
			}

			$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
			$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
			$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
			$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

			$item_output = $args->before;
			$item_output .= '<a'. $attributes .'>';
			$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
			$item_output .= '</a>';
			$item_output .= $args->after;

			$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
			
			if( $item->menu_item_parent === '0' ) {
				$this->displayed++;
			}
		}
	}
	
	
	function zapto_custom_background_cb(){
		ob_start();
		_custom_background_cb(); // Default handler
		$style = ob_get_clean();
		echo $style;
	}
	
?>