<?php

class zapto_about_widget extends WP_Widget{
	
  static function zapto_register_widget(){
		register_widget('zapto_about_widget');
  }
  function __construct(){
	  
    $widget_ops = array('classname' => 'single-footer', 'description' => 'About Zapto Widget' );
    parent::__construct('about_us_widget', 'Zapto About Widget', $widget_ops);
  
  }/* end of zapto_about_widget function */

   function form($instance){
   
	$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
	$zapto_title = $instance['title'];
	$zapto_info = isset( $instance['info'] ) ? esc_attr( $instance['info'] ) : '';
	$zapto_show_social=isset( $instance['show_social'] ) ? esc_attr( $instance['show_social'] ) : '';
	
?>	

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
			<?php esc_html_e('Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($zapto_title); ?>" />
		</label>
  
	</p>

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('info')); ?>">
			<?php esc_html_e('Add Description:','zapto');?>  
			<textarea class="widefat"  id="<?php echo esc_attr($this->get_field_id('info')); ?>" name="<?php echo esc_attr($this->get_field_name('info')); ?>"><?php echo esc_attr($zapto_info); ?></textarea>
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('show_social')); ?>">
			<?php esc_html_e('Show Social Links:','zapto');?> 
			<select name="<?php echo esc_attr($this->get_field_name('show_social')); ?>" id="<?php echo esc_attr($this->get_field_id('show_social')); ?>" class="widefat">
			<option <?php if( $zapto_show_social=="Yes" ){echo "selected";}?> value="<?php esc_html_e('Yes','zapto');?>"><?php esc_html_e('Yes','zapto');?> </option>
			<option <?php if( $zapto_show_social=="No" ){echo "selected";}?> value="<?php esc_html_e('No','zapto');?>"><?php esc_html_e('No','zapto');?> </option>
			</select>
		</label>
	</p>

<?php
 
 }/*end of form function*/


	function update($new_instance, $old_instance)
    {
  
		$instance = $old_instance;
    
		$instance['title'] = $new_instance['title'];
		$instance['info'] = $new_instance['info'];
		$instance['show_social'] = $new_instance['show_social'];
    
		return $instance;
  
   }/*end of update function*/
 
	function widget($args, $instance)
  
	{
		
		extract($args, EXTR_SKIP);
		
		$zapto_title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
		$zapto_info = isset( $instance['info'] ) ? esc_attr( $instance['info'] ) : '';	
		$zapto_show_social=isset( $instance['show_social'] )?esc_attr($instance['show_social']): '';
		
		echo html_entity_decode($before_widget);	

		if ($zapto_title <> ""){
			
			echo html_entity_decode($before_title);
			
			echo esc_attr($zapto_title);
			
			echo html_entity_decode($after_title);
		
		}
?>	
				<p><?php echo esc_attr(strip_tags($zapto_info));?></p>
				<?php
				if( $zapto_show_social=="Yes" ){
					$zapto_facebook=zapto_get_option('facebook_social_link');
					$zapto_twitter=zapto_get_option('twitter_social_link');
					$zapto_instagram=zapto_get_option('instagram_social_link');
					$zapto_pinterest=zapto_get_option('pinterest_social_link');
				?>
				<div class="social-media">
					<ul>
						<li><a href="<?php echo esc_url($zapto_facebook);?>">
						<i class="fa fa-facebook" aria-hidden="true"></i></a></li>
						<li><a href="<?php echo esc_url($zapto_twitter);?>">
						<i class="fa fa-twitter" aria-hidden="true"></i></a></li>
						<li><a href="<?php echo esc_url($zapto_pinterest);?>">
						<i class="fa fa-pinterest-p" aria-hidden="true"></i></a></li>
						<li><a href="<?php echo esc_url($zapto_instagram);?>">
						<i class="fa fa-instagram"></i></a></li>
					</ul>
				</div>
				<?php }/*end of social check*/ 
   
		echo html_entity_decode($after_widget);
	
  }/* end of widget function */
  
 
 }/* end of class  zapto_about_widget*/
 add_action( 'widgets_init', array('zapto_about_widget', 'zapto_register_widget')); ?>