<?php

class zapto_contactinfo_widget extends WP_Widget{
  
  static function zapto_register_widget(){
	register_widget('zapto_contactinfo_widget');
  }
  
  function __construct(){
	  
    $widget_ops = array('classname' => 'single-footer', 'description' => 'Zapto Contact  Widget' );
    parent::__construct('contact_info_widget', 'Zapto Contact Info Widget', $widget_ops);
  
  }/* end of zapto_contactinfo_widget function */

   function form($instance){
   
	$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
   
	$zapto_title = $instance['title'];
	$zapto_address = isset( $instance['address'] ) ? esc_attr( $instance['address'] ): '';
	$zapto_phone = isset( $instance['phone'] ) ? esc_attr( $instance['phone'] ) : '';
	$zapto_email = isset( $instance['email'] ) ? esc_attr( $instance['email'] ) : '';
	
	
?>	

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
			<?php esc_html_e('Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($zapto_title); ?>" />
		</label>
  
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('address')); ?>">
			<?php esc_html_e('Address:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('address')); ?>" name="<?php echo esc_attr($this->get_field_name('address')); ?>" type="text" value="<?php echo esc_attr($zapto_address); ?>" />
		</label>
	</p>
	

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('phone')); ?>">
			<?php esc_html_e('Phone:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('phone')); ?>" name="<?php echo esc_attr($this->get_field_name('phone')); ?>" type="text" value="<?php echo esc_attr($zapto_phone); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('email')); ?>">
			<?php esc_html_e('Email Address:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('email')); ?>" name="<?php echo esc_attr($this->get_field_name('email')); ?>" type="text" value="<?php echo esc_attr($zapto_email); ?>" />
		</label>
	</p>
	


<?php
 
 }/*end of form function*/


	function update($new_instance, $old_instance)
    {
  
		$instance = $old_instance;
    
		$instance['title'] = $new_instance['title'];
		$instance['address'] = $new_instance['address'];
		$instance['phone'] = $new_instance['phone'];	
		$instance['email'] = $new_instance['email'];		
    
		return $instance;
  
   }/*end of update function*/
 
	function widget($args, $instance)
  
	{
		
		extract($args, EXTR_SKIP);
		
		$zapto_title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
		$zapto_address = isset( $instance['address'] ) ? esc_attr( $instance['address'] ): '';
		$zapto_phone = isset( $instance['phone'] ) ? esc_attr( $instance['phone'] ) : '';
		$zapto_email = isset( $instance['email'] ) ? esc_attr( $instance['email'] ) : '';
		
  
		
		echo html_entity_decode($before_widget);	

		if ( !empty($zapto_title) ){
			
			echo html_entity_decode($before_title);
			
			echo esc_attr($zapto_title);
			
			echo html_entity_decode($after_title);
		
		}
?>		<div class="contact-info">                                    
			<ul>
				<?php if(!empty($zapto_address)){?><li><i class="fa fa-map-marker" aria-hidden="true"></i><?php echo esc_attr($zapto_address);?></li><?php }?>
				<?php if(!empty($zapto_email)){?><li><i class="fa fa-envelope-o" aria-hidden="true"></i><?php echo esc_attr($zapto_email);?></li><?php }?>
				<?php if(!empty($zapto_phone)){?><li><i class="fa fa-phone" aria-hidden="true"></i><?php echo esc_attr($zapto_phone);?></li><?php }?>
			</ul>
		</div>	
		<?php 
		echo html_entity_decode($after_widget);
	
  }/* end of widget function */
  
 
 }/* end of class  zapto_contactinfo_widget*/
 add_action( 'widgets_init', array('zapto_contactinfo_widget', 'zapto_register_widget'));