<?php

class zapto_links_widget extends WP_Widget{
  
  static function zapto_register_widget(){
		register_widget('zapto_links_widget');
  }
  function __construct(){
	  
    $widget_ops = array('classname' => 'single-footer', 'description' => 'Quick Links Widget' );
    parent::__construct('links_widget', 'Zapto Links Widget', $widget_ops);
  
  }/* end of zapto_links_widget function */

   function form($instance){
   
	$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
	$zapto_title = $instance['title'];
	$zapto_link1_title=isset($instance['link1_title'])?esc_attr($instance['link1_title']):'';	
	$zapto_link1_url=isset($instance['link1_url'])?esc_attr($instance['link1_url']):'';	
	$zapto_link2_title=isset($instance['link2_title'])?esc_attr($instance['link2_title']):'';	
	$zapto_link2_url=isset($instance['link2_url'])?esc_attr($instance['link2_url']):'';	
	$zapto_link3_title=isset($instance['link3_title'])?esc_attr($instance['link3_title']):'';	
	$zapto_link3_url=isset($instance['link3_url'])?esc_attr($instance['link3_url']):'';	
	$zapto_link4_title = isset( $instance['link4_title'] )?esc_attr( $instance['link4_title'] ):'';	
	$zapto_link4_url = isset( $instance['link4_url'] ) ? esc_attr( $instance['link4_url'] ):'';	
	
?>	

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
			<?php esc_html_e('Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($zapto_title); ?>" />
		</label>
  
	</p>

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link1_title')); ?>">
			<?php esc_html_e('Enter Link 1 Title:','zapto');?>  
			<input class="widefat" id="<?php echo esc_attr($this->get_field_id('link1_title')); ?>" name="<?php echo esc_attr($this->get_field_name('link1_title')); ?>" type="text" value="<?php echo esc_attr($zapto_link1_title); ?>" />
		</label>
	</p>
	
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link1_url')); ?>">
			<?php esc_html_e('Enter Link 1 URL:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('link1_url')); ?>" name="<?php echo esc_attr($this->get_field_name('link1_url')); ?>" type="text" value="<?php echo esc_attr($zapto_link1_url); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link2_title')); ?>">
			<?php esc_html_e('Enter Link 2 Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('link2_title')); ?>" name="<?php echo esc_attr($this->get_field_name('link2_title')); ?>" type="text" value="<?php echo esc_attr($zapto_link2_title); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link2_url')); ?>">
			<?php esc_html_e('Enter Link 2 URL:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('link2_url')); ?>" name="<?php echo esc_attr($this->get_field_name('link2_url')); ?>" type="text" value="<?php echo esc_attr($zapto_link2_url); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link3_title')); ?>">
			<?php esc_html_e('Enter Link 3 Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('link3_title')); ?>" name="<?php echo esc_attr($this->get_field_name('link3_title')); ?>" type="text" value="<?php echo esc_attr($zapto_link3_title); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link3_url')); ?>">
			<?php esc_html_e('Enter Link 3 URL:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('link3_url')); ?>" name="<?php echo esc_attr($this->get_field_name('link3_url')); ?>" type="text" value="<?php echo esc_attr($zapto_link3_url); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link4_title')); ?>">
			<?php esc_html_e('Enter Link 4 Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('link4_title')); ?>" name="<?php echo esc_attr($this->get_field_name('link4_title')); ?>" type="text" value="<?php echo esc_attr($zapto_link4_title); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('link4_url')); ?>">
			<?php esc_html_e('Enter Link 4 URL:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('link4_url')); ?>" name="<?php echo esc_attr($this->get_field_name('link4_url')); ?>" type="text" value="<?php echo esc_attr($zapto_link4_url); ?>" />
		</label>
	</p>

<?php
 
 }/*end of form function*/


	function update($new_instance, $old_instance)
    {
  
		$instance = $old_instance;
    
		$instance['title'] = $new_instance['title'];
		$instance['link1_title'] = $new_instance['link1_title'];	
		$instance['link1_url'] = $new_instance['link1_url'];
		$instance['link2_title'] = $new_instance['link2_title'];
		$instance['link2_url'] = $new_instance['link2_url'];	
		$instance['link3_title'] = $new_instance['link3_title'];
		$instance['link3_url'] = $new_instance['link3_url'];
		$instance['link4_title'] = $new_instance['link4_title'];
		$instance['link4_url'] = $new_instance['link4_url'];
    
		return $instance;
  
   }/*end of update function*/
 
	function widget($args, $instance){
		
	extract($args, EXTR_SKIP);
	$zapto_title=empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$zapto_link1_title=isset($instance['link1_title'])?esc_attr($instance['link1_title']):'';	
	$zapto_link1_url=isset($instance['link1_url'])?esc_attr($instance['link1_url']):'';	
	$zapto_link2_title=isset($instance['link2_title'])?esc_attr($instance['link2_title']):'';	
	$zapto_link2_url=isset($instance['link2_url'])?esc_attr($instance['link2_url']):'';	
	$zapto_link3_title=isset($instance['link3_title'])?esc_attr($instance['link3_title']):'';	
	$zapto_link3_url=isset($instance['link3_url'])?esc_attr($instance['link3_url']):'';	
	$zapto_link4_title = isset( $instance['link4_title'] )?esc_attr( $instance['link4_title'] ):'';	
	$zapto_link4_url = isset( $instance['link4_url'] ) ? esc_attr( $instance['link4_url'] ):'';
	
		echo html_entity_decode($before_widget);
		if ($zapto_title <> ""){
			
			echo html_entity_decode($before_title);
			
			echo esc_attr($zapto_title);
			
			echo html_entity_decode($after_title);
		
		}
		?>	
		<div class="quick-links">
			<ul>
				<li><a href="<?php echo esc_url($zapto_link1_url);?>"><?php echo esc_attr($zapto_link1_title);?></a></li>
				<li><a href="<?php echo esc_url($zapto_link2_url);?>"><?php echo esc_attr($zapto_link2_title);?></a></li>
				<li><a href="<?php echo esc_url($zapto_link3_url);?>"><?php echo esc_attr($zapto_link3_title);?></a></li>
				<li><a href="<?php echo esc_url($zapto_link4_url);?>"><?php echo esc_attr($zapto_link4_title);?></a></li>
			</ul>
		</div>
		<?php 
	
		echo html_entity_decode($after_widget);
	
  }/* end of widget function */
  
 
 }/* end of class  zapto_links_widget*/
add_action( 'widgets_init', array('zapto_links_widget', 'zapto_register_widget'));