<?php

class zapto_newsletter_widget extends WP_Widget{
	
  static function zapto_register_widget(){
	register_widget('zapto_newsletter_widget');
  }
  
  function __construct(){
	  
    $widget_ops = array('classname' => 'feedburner', 'description' => 'Google FeedBurner Newsletter Widget' );
    parent::__construct('feedburner_widget', 'Zapto FeedBurner Widget', $widget_ops);
  
  }/* end of zapto_newsletter_widget function */

   function form($instance){
   
   $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
	$zapto_title = $instance['title'];
	$zapto_newsletter_des = isset( $instance['des'] ) ? esc_attr( $instance['des'] ) : '';	
	$zapto_field_text = isset( $instance['field_text'] ) ? esc_attr( $instance['field_text'] ): '';	
	$zapto_burner_id = isset( $instance['burner_id'] ) ? esc_attr( $instance['burner_id'] ):'';	
	
?>	

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
			<?php esc_html_e('Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($zapto_title); ?>" />
		</label>
  
	</p>

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('des')); ?>">
			<?php esc_html_e('Enter Newsletter Description:','zapto');?>  
			<textarea class="widefat"  id="<?php echo esc_attr($this->get_field_id('des')); ?>" name="<?php echo esc_attr($this->get_field_name('des')); ?>"><?php echo esc_attr($zapto_newsletter_des); ?></textarea>
		</label>
	</p>
	
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('burner_id')); ?>">
			<?php esc_html_e('Enter FeedBurner ID:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('burner_id')); ?>" name="<?php echo esc_attr($this->get_field_name('burner_id')); ?>" type="text" value="<?php echo esc_attr($zapto_burner_id); ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('field_text')); ?>">
			<?php esc_html_e('Add Field Placeholder Text:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('field_text')); ?>" name="<?php echo esc_attr($this->get_field_name('field_text')); ?>" type="text" value="<?php echo esc_attr($zapto_field_text); ?>" />
		</label>
	</p>

<?php
 
 }/*end of form function*/


	function update($new_instance, $old_instance)
    {
  
		$instance = $old_instance;
    
		$instance['title'] = $new_instance['title'];
		$instance['des'] = $new_instance['des'];	
		$instance['burner_id'] = $new_instance['burner_id'];
		$instance['field_text'] = $new_instance['field_text'];
    
		return $instance;
  
   }/*end of update function*/
 
	function widget($args, $instance){
		
	extract($args, EXTR_SKIP);
	$zapto_title=empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$zapto_newsletter_des = isset( $instance['des'] ) ? esc_attr( $instance['des'] ) : '';	
	$zapto_field_text = isset( $instance['field_text'] ) ? esc_attr( $instance['field_text'] ): '';	
	$zapto_burner_id = isset( $instance['burner_id'] ) ? esc_attr( $instance['burner_id'] ):'';	
	
		echo html_entity_decode($before_widget);
		if ($zapto_title <> ""){
			
			echo html_entity_decode($before_title);
			
			echo esc_attr($zapto_title);
			
			echo html_entity_decode($after_title);
		
		}
		?>
		<div class="newsletter-holder">
		<p><?php echo esc_textarea($zapto_newsletter_des);?></p>
			<form action="http://feedburner.google.com/fb/a/mailverify" class="clearfix" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo esc_attr($zapto_burner_id);?>','popupwindow','scrollbars=yes,width=550,height=520'); return true;">
				<div class="input-field">
					<input value="<?php echo esc_attr($zapto_field_text) ;?>" class="signup" onfocus="if(this.value=='<?php echo esc_attr($zapto_field_text) ;?>')this.value=''" onblur="if(this.value=='')this.value='<?php echo esc_attr($zapto_field_text) ;?>'" type="text">
					<button class="subimt" type="subimt">
						<i class="fa fa-envelope"></i>
					</button>
				</div>
			</form>
		</div>
		<?php 
	
		echo html_entity_decode($after_widget);
	
  }/* end of widget function */
  
 
 }/* end of class  zapto_newsletter_widget*/
 add_action( 'widgets_init', array('zapto_newsletter_widget', 'zapto_register_widget'));