<?php

class zapto_post_list_thumb_widget extends WP_Widget{
  
  static function zapto_register_widget(){
	register_widget('zapto_post_list_thumb_widget');
  }
  
  function __construct(){
	  
    $widget_ops = array('classname' => 'single-footer', 'description' => 'Recent Post Widget' );
    parent::__construct('post_thumb_widget', 'Zapto Recent Post Widget', $widget_ops);
  
  }/* end of zapto_post_list_thumb_widget function */

   function form($instance){
   
   $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
   
	$zapto_title = $instance['title'];
	$zapto_post_num = isset( $instance['num_post'] ) ? esc_attr( $instance['num_post'] ) : '';
	$zapto_post_cat = isset( $instance['post_cat'] ) ? esc_attr( $instance['post_cat'] ) : '';		
	
?>	

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
			<?php esc_html_e('Title:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($zapto_title); ?>" />
		</label>
  
	</p>

	<p>
		<label for="<?php echo esc_attr($this->get_field_id('post_cat')); ?>">
			<?php esc_html_e('Select Post Category:','zapto');?>  
			<select name="<?php echo esc_attr($this->get_field_name('post_cat'));?>" id="<?php echo esc_attr($this->get_field_id('post_cat')); ?>" class="widefat">
			<?php
			foreach ( zapto_get_category('category') as $category){ ?>
				<option <?php if(esc_attr($zapto_post_cat) == $category->slug){echo 'selected';}?> value="<?php echo esc_attr($category->slug);?>" >
				<?php echo esc_attr($category->name);?>
				</option>						
			<?php } ?>
			</select>
		</label>
	</p>
	
	<p>
		<label for="<?php echo esc_attr($this->get_field_id('num_post')); ?>">
			<?php esc_html_e('Number Of Post:','zapto');?>  
			<input class="widefat"  id="<?php echo esc_attr($this->get_field_id('num_post')); ?>" name="<?php echo esc_attr($this->get_field_name('num_post')); ?>" type="text" value="<?php echo esc_attr($zapto_post_num); ?>" />
		</label>
	</p>

<?php
 
 }/*end of form function*/


	function update($new_instance, $old_instance)
    {
  
		$instance = $old_instance;
    
		$instance['title'] = $new_instance['title'];
		$instance['post_cat'] = $new_instance['post_cat'];	
		$instance['num_post'] = $new_instance['num_post'];
    
		return $instance;
  
   }/*end of update function*/
 
	function widget($args, $instance){
		
		extract($args, EXTR_SKIP);
		
		$zapto_title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
		$zapto_post_cat = isset( $instance['post_cat'] ) ? esc_attr( $instance['post_cat'] ) : '';	
		$zapto_post_num = isset( $instance['num_post'] ) ? esc_attr( $instance['num_post'] ) : '';	
		global $post;
		if(!empty($zapto_post_cat)){
			$term = get_term_by('name', $zapto_post_cat, 'category');
			$category_id = $term->term_id;
		}
		$args = array(	
			'posts_per_page' => $zapto_post_num,
			'post_type'	 => 'post',
			'tax_query' => array(
						array(
							'taxonomy' => 'category',
							'terms' => $category_id,
							'field' => 'term_id',
						)
					), 
			'post_status'	=> 'publish',
			'orderby' => 	'comment_count',
			'ignore_sticky_posts'   => 1
		);
		$zapto_query = new WP_Query($args);
		echo html_entity_decode($before_widget);
		if ($zapto_title <> ""){
			
			echo html_entity_decode($before_title);
			
			echo esc_attr($zapto_title);
			
			echo html_entity_decode($after_title);
		
		}
		if($zapto_query->have_posts()){ 
		while($zapto_query->have_posts()){
		$zapto_query->the_post();
		?>
		<div class="single-post">
			<div class="media">
				<a class="pull-left" href="<?php echo esc_url(get_permalink());?>">
				<?php 
					if(has_post_thumbnail()){
						echo get_the_post_thumbnail($post->ID,array(100,70)); 
					}else{
						echo get_avatar( get_the_author_meta( 'ID' ),array(100,70) );	
					}
				?>
				</a>
				<div class="media-body">
					<h4 class="media-heading">
						<a href="<?php echo esc_url(get_permalink());?>">
						<?php 
							$title=esc_attr(get_the_title());
							if(strlen($title) > 20){
								echo substr($title,0,20).'...';
							}else{
								 echo esc_attr($title);
							}
						?>
						</a>
					</h4>
				</div>
			  
			</div>
		</div>
				
		<?php					
			}/*endwhile loop*/
		}/*endif statemnt*/
		wp_reset_postdata();
		
		echo html_entity_decode($after_widget);
	
  }/* end of widget function */
  
 
 }/* end of class  zapto_post_list_thumb_widget*/
add_action( 'widgets_init', array('zapto_post_list_thumb_widget', 'zapto_register_widget'));